﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace WordTree
{
    /**
     * Compares strings case insensitively.
     */
    public class CaseInSensitiveEqualityComparer : IEqualityComparer<string>
    {
        static public bool EqualsStatic(string obj1, string obj2)
        {
            return string.Compare((obj1), (obj2), true) == 0;
        }

        // Implement the IComparable interface. 
        public bool Equals(string obj1, string obj2)
        {
            return string.Compare((obj1), (obj2), true) == 0;
        }

        public int GetHashCode(string obj)
        {
            return (obj).ToLower().GetHashCode();
        }
    }

}
